Kerbal Space Program - Feedback #5955

Fairings, "Cannot activate while stowed!"
11/15/2015 02:31 PM - sal_vager

Status: Closed

Severity: Low

Assignee:

Category: Gameplay

Target version: 1.0.5

Version: 1.0.5 Language: English (US)
Platform: Any Mod Related: No
Description

Currently engines of all types are inoperable while in an occluded state, ie: inside a closed cargobay or faring.

While this is intended, this prevents a common use case amongst players, that being the ability to stage and activate an engine
without staging the fairing around it.

This behavior is desirable for recreating Apollo/SaturnV Moon missions, where the Command Service Module will separate from the
interstage fairing to extract the Lunar Excursion Module from within.

Current fairing occlusion behavior will render the engine of the CSM and the engine and other occludable parts of the LEM
inoperable until the vessels are packed/unpacked (such as with an F5/F9 save/load cycle).

Unfortunately, simply making engines operable while occluded will leave other parts occluded when exiting an unstaged fairing.

So instead, please check for the presence of the part that the fairing is closed around when the vessel is staged, and if it is absent,
flag the fairing as "open" despite itself not being staged and check for occlusion.

This should then unocclude all of the occludable parts on the vessels, allowing the use-case above.

Reproduction

e With the craft attached to this feedback report.

¢ Launch the vessel, and operate all stages.

Result

e The main engine (LV-T30) will be inoperable (cannot activate while stowed).

Expected Result

e The main engine (LV-T30) should be operable.

Workarounds

Pack/unpack the vessel to trigger an occlusion check, ie: a save/load cycle, exit to the space center and return, switch to distant craft
and return.

Please note that this is not a tenable workaround for the reproduction example above.
Tested On

Linux KSP.x86, build 1028.

Related issues:

Related to Kerbal Space Program - Bug #4955: Staging engine together with fai...

Closed

05/09/2015

History

#1 - 11/15/2015 02:55 PM - sal_vager

- Subject changed from Detect when the part a fairing is closed against is removed, set the fairing state to "open", recheck occlusion. to Fairings,

"Cannot activate while stowed!"

#2 - 12/16/2015 10:26 AM - sal_vager

- Related to Bug #4955: Staging engine together with fairing does not activate the engine added

#4 - 07/17/2016 09:41 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 07/20/2016 01:52 PM - Azimech
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Solved in 1.1.3, at least with cargo bays. Haven't tested fairings.

#6 - 02/28/2018 12:45 AM - Squelch
- Status changed from Updated to Closed
